package gov.va.vinci.dart.json;

import java.util.ArrayList;
import java.util.List;

public class CreateFromPageView {

	private long researchStudyID;
	private String shortName;
	private String longName;
	private String studyStartDate;
	private String studyEndDate;
	private String iRBApprovalNumber;
	private String iRBExpirationDate;
	private String primarySiteId;
	private List<String> siteIdList = new ArrayList<String>();

	public long getResearchStudyID() {
		return researchStudyID;
	}

	public void setResearchStudyID(long researchStudyID) {
		this.researchStudyID = researchStudyID;
	}

	public String getShortName() {
		return shortName;
	}

	public void setShortName(String shortName) {
		this.shortName = shortName;
	}

	public String getLongName() {
		return longName;
	}

	public void setLongName(String longName) {
		this.longName = longName;
	}

	public String getStudyStartDate() {
		return studyStartDate;
	}

	public void setStudyStartDate(String studyStartDate) {
		this.studyStartDate = studyStartDate;
	}

	public String getStudyEndDate() {
		return studyEndDate;
	}

	public void setStudyEndDate(String studyEndDate) {
		this.studyEndDate = studyEndDate;
	}

	public String getiRBApprovalNumber() {
		return iRBApprovalNumber;
	}

	public void setiRBApprovalNumber(String iRBApprovalNumber) {
		this.iRBApprovalNumber = iRBApprovalNumber;
	}

	public String getiRBExpirationDate() {
		return iRBExpirationDate;
	}

	public void setiRBExpirationDate(String iRBExpirationDate) {
		this.iRBExpirationDate = iRBExpirationDate;
	}

	public String getPrimarySiteId() {
		return primarySiteId;
	}

	public void setPrimarySiteId(String primarySiteId) {
		this.primarySiteId = primarySiteId;
	}

	public List<String> getSiteIdList() {
		return siteIdList;
	}

	public void setSiteIdList(List<String> siteIdList) {
		this.siteIdList = siteIdList;
	}

}
